## com.lowagie.text.xml
Class TagMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              com.lowagie.text.xml.TagMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class TagMap

extends java.util.HashMap

The `Tags`-class maps several XHTML-tags to iText-objects.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` `TagMap.AttributeHandler`

Constructor Summary
`TagMap(java.io.InputStream in)` Constructs a TagMap.
`TagMap(java.lang.String tagfile)` Constructs a TagMap

Method Summary
`protected void` `init(java.io.InputStream in)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### TagMap

    public TagMap(java.lang.String tagfile)

  Constructs a TagMap

  Parameters:
    `tagfile` - the path to an XML file with the tagmap

### TagMap

    public TagMap(java.io.InputStream in)

  Constructs a TagMap.

  Parameters:
    `in` - An InputStream with the tagmap xml

Method Detail

### init

    protected void init(java.io.InputStream in)